Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class ProjectPlanRows
    Inherits BaseObject
    Private _ProjectPlan As ProjectPlan 'tervező fejléc
    Private _Controlling As Controlling 'Kontroll szám
    Private _CostHolder As CostHolder
    Private _CostPlace As CostPlace
    Private _UniqueObjects As UniqueObjects 'Egyedi azonosító
    Private _JobNumberObjects As JobNumberObjects
    Private _ChartOfAccountsName As String
    Private _AccountNumber As String
    Private _DateYear As Long 'Év
    Private _DateMonth As Long 'Hónap

    '//HUF adatok
    Private _DebitAmountPlanHUF As Double 'Tartozik Terv HUF
    Private _CreditAmountPlanHUF As Double 'Követel terv HUF
    Private _DebitAmountFactHUF As Double 'Tartozik tény HUF
    Private _CreditAmountFactHUF As Double 'Követel tény HUF
    Private _DebitAmountContractHUF As Double 'Tartozik szerződés HUF
    Private _CreditAmountContractHUF As Double 'Követel szerződés HUF

    Private _CurrencyName As CurrencyName 'Deviza


    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("ProjectPlan-ProjectPlanRows", GetType(ProjectPlan))> _
    Property ProjectPlan As ProjectPlan
        Get
            Return _ProjectPlan
        End Get
        Set(ByVal value As ProjectPlan)
            SetPropertyValue("ProjectPlan", _ProjectPlan, value)
        End Set
    End Property
    <RuleRequiredField("ProjectPlanRows-Controlling", DefaultContexts.Save)> _
    <DataSourceCriteria("IsParent=False")> _
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(ByVal value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property
    Property CostHolder As CostHolder
        Get
            Return _CostHolder
        End Get
        Set(value As CostHolder)
            SetPropertyValue("CostHolder", _CostHolder, value)
        End Set
    End Property
    Property CostPlace As CostPlace
        Get
            Return _CostPlace
        End Get
        Set(value As CostPlace)
            SetPropertyValue("CostPlace", _CostPlace, value)
        End Set
    End Property
    Property UniqueObjects As UniqueObjects
        Get
            Return _UniqueObjects
        End Get
        Set(ByVal value As UniqueObjects)
            SetPropertyValue("UniqueObjects", _UniqueObjects, value)
        End Set
    End Property
    Property JobNumberObjects As JobNumberObjects
        Get
            Return _JobNumberObjects
        End Get
        Set(ByVal value As JobNumberObjects)
            SetPropertyValue("JobNumberObjects", _JobNumberObjects, value)
        End Set
    End Property
    <Size(255)> _
    Property ChartOfAccountsName As String
        Get
            Return _ChartOfAccountsName
        End Get
        Set(value As String)
            SetPropertyValue("ChartOfAccountsName", _ChartOfAccountsName, value)
        End Set
    End Property
    Property AccountNumber As String
        Get
            Return _AccountNumber
        End Get
        Set(value As String)
            SetPropertyValue("AccountNumber", _AccountNumber, value)
        End Set
    End Property
    Property DateYear As Long
        Get
            Return _DateYear
        End Get
        Set(value As Long)
            SetPropertyValue("DateYear", _DateYear, value)
        End Set
    End Property
    Property DateMonth As Long
        Get
            Return _DateMonth
        End Get
        Set(value As Long)
            SetPropertyValue("DateMonth", _DateMonth, value)
        End Set
    End Property

    Property DebitAmountPlanHUF As Double
        Get
            Return _DebitAmountPlanHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DebitAmountPlanHUF", _DebitAmountPlanHUF, value)
        End Set
    End Property
    Property CreditAmountPlanHUF As Double
        Get
            Return _CreditAmountPlanHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CreditAmountPlanHUF", _CreditAmountPlanHUF, value)
        End Set
    End Property
    Property DebitAmountFactHUF As Double
        Get
            Return _DebitAmountFactHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DebitAmountFactHUF", _DebitAmountFactHUF, value)
        End Set
    End Property
    Property CreditAmountFactHUF As Double
        Get
            Return _CreditAmountFactHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CreditAmountFactHUF", _CreditAmountFactHUF, value)
        End Set
    End Property
    Property DebitAmountContractHUF As Double
        Get
            Return _DebitAmountContractHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DebitAmountContractHUF", _DebitAmountContractHUF, value)
        End Set
    End Property
    Property CreditAmountContractHUF As Double
        Get
            Return _CreditAmountContractHUF
        End Get
        Set(value As Double)
            SetPropertyValue("CreditAmountContractHUF", _CreditAmountContractHUF, value)
        End Set
    End Property

    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
End Class
